      PROGRAM VALD_QUB

*+
*
*  Program.
*     VALD_QUB
*
*  Purpose.
*     Convert linelist from VALD 'extract element' to (QUB) spectrum format
*
*
*  Author.
*     C.S.Jeffery
*
*  History.
*     11-JUN-97: original
*     14-Nov-01: change to new QUB format
*
*  Requirements.
*     STR:  string handling library
*
*-

      CHARACTER  ELION*10
      CHARACTER  REF*20 
      CHARACTER  VALDFILE*60
      CHARACTER  QUBFILE*60

      PARAMETER ( CC = 2.997925E18 )
      PARAMETER ( FOURPI = 12.56637061 )

*.


*  Select input data file.
10    WRITE (*,1005) 
1005  FORMAT('File containing atomic data (VALD format)')
      READ (*,'(A)') VALDFILE
      WRITE (*,'(A)') VALDFILE
      OPEN (2,FILE=VALDFILE,STATUS='OLD',ERR=998)


*  Select output data file.
20    WRITE(*,1006) 
1006  FORMAT('File to contain atomic data (New QUB format)')
      READ (*,'(A)') QUBFILE
      IDECK = 0
      IF (QUBFILE(1:10).NE.'          ') THEN
         OPEN (1,FILE=QUBFILE,STATUS='NEW',ERR=997)
         IDECK = 1
      ENDIF

      WRITE (*,1000)

*  Read the data from a synspec/atlas format file.
100   CONTINUE
      READ (2,*,END=999,ERR=100)
     :  ELION, WL, EXC, GFLOG, GAMR,GAMS,GAMW, ELAN,REF 


*  Transform the values.
      IZ = 0
      IN = 0
*      IZ    = IZ
*      II    = IN + 1
      ZMULT = 0.00
      REF   = 'VALD: '//REF

      IF (GAMR.EQ.0.0) GAMR = -99.0
      IF (GAMW.EQ.0.0) GAMW = -99.0
      IF (GAMS.EQ.0.0) GAMS = -99.0


*  Write out the results.
      WRITE (*,1001) ELION(1:5),WL,GFLOG,GAMS,GAMR,GAMW,EXC,ZMULT,REF
      IF (IDECK.EQ.1)
     :   WRITE (1,1001) ELION(1:5),WL,GFLOG,GAMS,GAMR,GAMW,EXC,ZMULT,REF
1000  FORMAT (/'  Z  I  lambda     gf    Game   Gamr  GamW  exc ')
1001  FORMAT (1x,A5,F9.3,F7.3,4F8.3,F7.2,2x,A20)
      GOTO 100

*  shut down
997   WRITE(*,*) 'File exists'
      GOTO 20
998   WRITE(*,*) 'Input file not found'
      GOTO 10

999   CLOSE (1)

      END
